:root {
  --color-blue: #B1D5FB;
  --color-gray: #EBEBEB;
  --color-gold: #FFBA52;
  --color-light: #FFFFFF;
  --color-dark: #060B0F;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  background-color: var(--color-light);
  color: var(--color-dark);
  font-family: 'Inter', sans-serif;
  background-image: url('hip-square.png');
}

header {
  background-color: var(--color-blue);
  color: var(--color-dark);
  height: 30vh;
  position: relative;
}

header a {
  float: right;
  padding: 1em;
  color: var(--color-dark);
}

section {
  padding: 1em;
}

h1 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 4rem;
  width: 100%;
  text-align: center;
}

a {
  color: var(--color-gold);
}

a:hover {
  color: var(--color-dark);
  text-decoration: underline;
}

ul {
  display: block;
  overflow: auto;
  padding-top: 3em;
}

ul li {
  list-style: none;
  padding: 1em;
  float: left;
  width: calc(50% - 2em);
  margin: 1em;
  margin-bottom: 4em;
  border-radius: 20px;
  background: var(--color-light);
  box-shadow: 8px 8px 16px #f2f2f2;
}

ul li img {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border-radius: 50px;
  margin-top: -2.5em;
  border: 3px solid var(--color-blue);
}

li > * {
  color: var(--color-dark);
  padding: 0.3em 0;
  display: block;
}

li > *:nth-child(1) {
  padding-top: 0;
}

.name {
  font-size: 1.7em;
  display: inline-block;
  color: var(--color-gold);
  line-height: normal;
  text-transform: uppercase;
}

.name a {
  display: flex;
  align-items: center;
  gap: 0.2em;
  text-decoration: none;
  color: var(--color-gold);
  cursor: pointer;
}

.name a:hover {
  color: var(--color-dark);
  transition: color 350ms ease-in;
}

.name img {
  margin-bottom: 0.3em;
}

.name a svg {
  width: 20px;
  height: 20px;
  pointer-events: none;
}

.city {
  display: block;
}

footer {
  clear: both;
  padding: 2em;
}

@media (min-width: 1650px) {
  ul li {
    width: calc(33.3334% - 2em);
  }
}

@media (max-width: 767px) {
  header {
    height: 20vh;
  }

  ul li {
    width: calc(100% - 2em);
    margin: 1em;
    margin-bottom: 3em;
  }

  ul li img {
    display: block;
    width: 75px;
    height: 75px;
  }

  ul li .name {
    flex-direction: column;
    align-items: flex-start;
  }

  h1 {
    font-size: 1.5rem;
  }

  .name {
    font-size: 1em;
  }

  .link a {
    width: 100%;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
  }

  .name a svg {
    width: 20px;
    height: 20px;
  }
}